defs.in 1.76 KB
Newer Older
1 2 3
# -*- mode: shell-script; coding: utf-8 -*-
# Copyright (C) 2012 Laboratoire de Recherche et Développement
# de l'Epita (LRDE).
4
# Copyright (C) 2005  Laboratoire d'Informatique de Paris 6 (LIP6),
5
# département Systèmes Répartis Coopératifs (SRC), Université Pierre
6 7 8 9 10 11
# et Marie Curie.
#
# This file is part of Spot, a model checking library.
#
# Spot is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
12
# the Free Software Foundation; either version 3 of the License, or
13 14 15 16 17 18 19 20
# (at your option) any later version.
#
# Spot is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
21
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
22 23 24 25 26 27 28 29 30 31 32 33 34 35 36

# Ensure we are running from the right directory.
test -f ./defs || {
   echo "defs: not found in current directory" 1>&2
   exit 1
}

srcdir='@srcdir@'

# Ensure $srcdir is set correctly.
test -f "$srcdir/defs.in" || {
   echo "$srcdir/defs.in not found, check \$srcdir" 1>&2
   exit 1
}

37 38 39
top_builddir="@top_builddir@"
LBT="@LBT@"
LBTT="@LBTT@"
40
LBTT_TRANSLATE="@LBTT_TRANSLATE@"
41
LTL2BA="@LTL2BA@"
42
LTL3BA="@LTL3BA@"
43
LTL2NBA="@LTL2NBA@"
44
LTL2TGBA="@top_builddir@/src/bin/ltl2tgba@EXEEXT@"
45 46 47
MODELLA="@MODELLA@"
SPIN="@SPIN@"
WRING2LBTT="@WRING2LBTT@"
48

49 50 51 52 53
($LBTT --version) >/dev/null 2>&1 || {
  echo "$LBTT not available.  Try configuring with --with-included-lbtt."
  exit 77
}

54
for var in LBT LTL2BA LTL3BA LTL2NBA MODELLA SPIN WRING2LBTT
55 56 57 58 59 60 61
do
  if eval 'test -z "$'$var'"'; then
    eval HAVE_$var=no
  else
    eval HAVE_$var=yes
  fi
done